## org.hibernate.envers.configuration
Class ClassesAuditingData

    java.lang.Object
      org.hibernate.envers.configuration.ClassesAuditingData

    public class ClassesAuditingData

extends Object

A helper class holding auditing meta-data for all persistent classes.

Author:
  Adam Warski (adam at warski dot org)

Constructor Summary
`ClassesAuditingData()`

Method Summary
`void` `addClassAuditingData(PersistentClass pc, ClassAuditingData cad)` Stores information about auditing meta-data for the given class.
`Collection<Map.Entry<PersistentClass,ClassAuditingData>>` `getAllClassAuditedData()`
`ClassAuditingData` `getClassAuditingData(String entityName)`
`void` `updateCalculatedFields()` After all meta-data is read, updates calculated fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassesAuditingData

    public ClassesAuditingData()

Method Detail

### addClassAuditingData

    public void addClassAuditingData(PersistentClass pc,
                                     ClassAuditingData cad)

  Stores information about auditing meta-data for the given class.

  Parameters:
    `pc` - Persistent class.
    `cad` - Auditing meta-data for the given class.

### getAllClassAuditedData

    public Collection<Map.Entry<PersistentClass,ClassAuditingData>> getAllClassAuditedData()

  Returns:
    A collection of all auditing meta-data for persistent classes.

### getClassAuditingData

    public ClassAuditingData getClassAuditingData(String entityName)

  Parameters:
    `entityName` - Name of the entity.
  Returns:
    Auditing meta-data for the given entity.

### updateCalculatedFields

    public void updateCalculatedFields()

  After all meta-data is read, updates calculated fields. This includes:
  - setting `forceInsertable` to `true` for properties specified by `@AuditMappedBy`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.